com.amazonaws.services.codebuild.model

## Class ListProjectsRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.codebuild.model.ListProjectsRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class ListProjectsRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`ListProjectsRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ListProjectsRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getNextToken()` During a previous call, if there are more than 100 items in the list, only the first 100 items are returned, along with a unique string called a next token.
`String` `getSortBy()` The criterion to be used to list build project names.
`String` `getSortOrder()` The order in which to list build projects.
`int` `hashCode()`
`void` `setNextToken(String nextToken)` During a previous call, if there are more than 100 items in the list, only the first 100 items are returned, along with a unique string called a next token.
`void` `setSortBy(ProjectSortByType sortBy)` The criterion to be used to list build project names.
`void` `setSortBy(String sortBy)` The criterion to be used to list build project names.
`void` `setSortOrder(SortOrderType sortOrder)` The order in which to list build projects.
`void` `setSortOrder(String sortOrder)` The order in which to list build projects.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ListProjectsRequest` `withNextToken(String nextToken)` During a previous call, if there are more than 100 items in the list, only the first 100 items are returned, along with a unique string called a next token.
`ListProjectsRequest` `withSortBy(ProjectSortByType sortBy)` The criterion to be used to list build project names.
`ListProjectsRequest` `withSortBy(String sortBy)` The criterion to be used to list build project names.
`ListProjectsRequest` `withSortOrder(SortOrderType sortOrder)` The order in which to list build projects.
`ListProjectsRequest` `withSortOrder(String sortOrder)` The order in which to list build projects.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ListProjectsRequest

    public ListProjectsRequest()

### Method Detail

#### setSortBy

    public void setSortBy(String sortBy)

The criterion to be used to list build project names. Valid values include:

- `CREATED_TIME`: List the build project names based on when each build project was created.

- `LAST_MODIFIED_TIME`: List the build project names based on when information about each build project was last changed.

- `NAME`: List the build project names based on each build project's name.

Use `sortOrder` to specify in what order to list the build project names based on the preceding criteria.

Parameters:
  `sortBy` - The criterion to be used to list build project names. Valid values include:

  - `CREATED_TIME`: List the build project names based on when each build project was created.

  - `LAST_MODIFIED_TIME`: List the build project names based on when information about each build project was last changed.

  - `NAME`: List the build project names based on each build project's name.

  Use `sortOrder` to specify in what order to list the build project names based on the preceding criteria.

See Also:
  `ProjectSortByType`

#### getSortBy

    public String getSortBy()

The criterion to be used to list build project names. Valid values include:

- `CREATED_TIME`: List the build project names based on when each build project was created.

- `LAST_MODIFIED_TIME`: List the build project names based on when information about each build project was last changed.

- `NAME`: List the build project names based on each build project's name.

Use `sortOrder` to specify in what order to list the build project names based on the preceding criteria.

Returns:
  The criterion to be used to list build project names. Valid values include:

  - `CREATED_TIME`: List the build project names based on when each build project was created.

  - `LAST_MODIFIED_TIME`: List the build project names based on when information about each build project was last changed.

  - `NAME`: List the build project names based on each build project's name.

  Use `sortOrder` to specify in what order to list the build project names based on the preceding criteria.

See Also:
  `ProjectSortByType`

#### withSortBy

    public ListProjectsRequest withSortBy(String sortBy)

The criterion to be used to list build project names. Valid values include:

- `CREATED_TIME`: List the build project names based on when each build project was created.

- `LAST_MODIFIED_TIME`: List the build project names based on when information about each build project was last changed.

- `NAME`: List the build project names based on each build project's name.

Use `sortOrder` to specify in what order to list the build project names based on the preceding criteria.

Parameters:
  `sortBy` - The criterion to be used to list build project names. Valid values include:

  - `CREATED_TIME`: List the build project names based on when each build project was created.

  - `LAST_MODIFIED_TIME`: List the build project names based on when information about each build project was last changed.

  - `NAME`: List the build project names based on each build project's name.

  Use `sortOrder` to specify in what order to list the build project names based on the preceding criteria.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ProjectSortByType`

#### setSortBy

    public void setSortBy(ProjectSortByType sortBy)

The criterion to be used to list build project names. Valid values include:

- `CREATED_TIME`: List the build project names based on when each build project was created.

- `LAST_MODIFIED_TIME`: List the build project names based on when information about each build project was last changed.

- `NAME`: List the build project names based on each build project's name.

Use `sortOrder` to specify in what order to list the build project names based on the preceding criteria.

Parameters:
  `sortBy` - The criterion to be used to list build project names. Valid values include:

  - `CREATED_TIME`: List the build project names based on when each build project was created.

  - `LAST_MODIFIED_TIME`: List the build project names based on when information about each build project was last changed.

  - `NAME`: List the build project names based on each build project's name.

  Use `sortOrder` to specify in what order to list the build project names based on the preceding criteria.

See Also:
  `ProjectSortByType`

#### withSortBy

    public ListProjectsRequest withSortBy(ProjectSortByType sortBy)

The criterion to be used to list build project names. Valid values include:

- `CREATED_TIME`: List the build project names based on when each build project was created.

- `LAST_MODIFIED_TIME`: List the build project names based on when information about each build project was last changed.

- `NAME`: List the build project names based on each build project's name.

Use `sortOrder` to specify in what order to list the build project names based on the preceding criteria.

Parameters:
  `sortBy` - The criterion to be used to list build project names. Valid values include:

  - `CREATED_TIME`: List the build project names based on when each build project was created.

  - `LAST_MODIFIED_TIME`: List the build project names based on when information about each build project was last changed.

  - `NAME`: List the build project names based on each build project's name.

  Use `sortOrder` to specify in what order to list the build project names based on the preceding criteria.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ProjectSortByType`

#### setSortOrder

    public void setSortOrder(String sortOrder)

The order in which to list build projects. Valid values include:

- `ASCENDING`: List the build project names in ascending order.

- `DESCENDING`: List the build project names in descending order.

Use `sortBy` to specify the criterion to be used to list build project names.

Parameters:
  `sortOrder` - The order in which to list build projects. Valid values include:

  - `ASCENDING`: List the build project names in ascending order.

  - `DESCENDING`: List the build project names in descending order.

  Use `sortBy` to specify the criterion to be used to list build project names.

See Also:
  `SortOrderType`

#### getSortOrder

    public String getSortOrder()

The order in which to list build projects. Valid values include:

- `ASCENDING`: List the build project names in ascending order.

- `DESCENDING`: List the build project names in descending order.

Use `sortBy` to specify the criterion to be used to list build project names.

Returns:
  The order in which to list build projects. Valid values include:

  - `ASCENDING`: List the build project names in ascending order.

  - `DESCENDING`: List the build project names in descending order.

  Use `sortBy` to specify the criterion to be used to list build project names.

See Also:
  `SortOrderType`

#### withSortOrder

    public ListProjectsRequest withSortOrder(String sortOrder)

The order in which to list build projects. Valid values include:

- `ASCENDING`: List the build project names in ascending order.

- `DESCENDING`: List the build project names in descending order.

Use `sortBy` to specify the criterion to be used to list build project names.

Parameters:
  `sortOrder` - The order in which to list build projects. Valid values include:

  - `ASCENDING`: List the build project names in ascending order.

  - `DESCENDING`: List the build project names in descending order.

  Use `sortBy` to specify the criterion to be used to list build project names.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `SortOrderType`

#### setSortOrder

    public void setSortOrder(SortOrderType sortOrder)

The order in which to list build projects. Valid values include:

- `ASCENDING`: List the build project names in ascending order.

- `DESCENDING`: List the build project names in descending order.

Use `sortBy` to specify the criterion to be used to list build project names.

Parameters:
  `sortOrder` - The order in which to list build projects. Valid values include:

  - `ASCENDING`: List the build project names in ascending order.

  - `DESCENDING`: List the build project names in descending order.

  Use `sortBy` to specify the criterion to be used to list build project names.

See Also:
  `SortOrderType`

#### withSortOrder

    public ListProjectsRequest withSortOrder(SortOrderType sortOrder)

The order in which to list build projects. Valid values include:

- `ASCENDING`: List the build project names in ascending order.

- `DESCENDING`: List the build project names in descending order.

Use `sortBy` to specify the criterion to be used to list build project names.

Parameters:
  `sortOrder` - The order in which to list build projects. Valid values include:

  - `ASCENDING`: List the build project names in ascending order.

  - `DESCENDING`: List the build project names in descending order.

  Use `sortBy` to specify the criterion to be used to list build project names.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `SortOrderType`

#### setNextToken

    public void setNextToken(String nextToken)

During a previous call, if there are more than 100 items in the list, only the first 100 items are returned, along with a unique string called a next token. To get the next batch of items in the list, call this operation again, adding the next token to the call. To get all of the items in the list, keep calling this operation with each subsequent next token that is returned, until no more next tokens are returned.

Parameters:
  `nextToken` - During a previous call, if there are more than 100 items in the list, only the first 100 items are returned, along with a unique string called a next token. To get the next batch of items in the list, call this operation again, adding the next token to the call. To get all of the items in the list, keep calling this operation with each subsequent next token that is returned, until no more next tokens are returned.

#### getNextToken

    public String getNextToken()

During a previous call, if there are more than 100 items in the list, only the first 100 items are returned, along with a unique string called a next token. To get the next batch of items in the list, call this operation again, adding the next token to the call. To get all of the items in the list, keep calling this operation with each subsequent next token that is returned, until no more next tokens are returned.

Returns:
  During a previous call, if there are more than 100 items in the list, only the first 100 items are returned, along with a unique string called a next token. To get the next batch of items in the list, call this operation again, adding the next token to the call. To get all of the items in the list, keep calling this operation with each subsequent next token that is returned, until no more next tokens are returned.

#### withNextToken

    public ListProjectsRequest withNextToken(String nextToken)

During a previous call, if there are more than 100 items in the list, only the first 100 items are returned, along with a unique string called a next token. To get the next batch of items in the list, call this operation again, adding the next token to the call. To get all of the items in the list, keep calling this operation with each subsequent next token that is returned, until no more next tokens are returned.

Parameters:
  `nextToken` - During a previous call, if there are more than 100 items in the list, only the first 100 items are returned, along with a unique string called a next token. To get the next batch of items in the list, call this operation again, adding the next token to the call. To get all of the items in the list, keep calling this operation with each subsequent next token that is returned, until no more next tokens are returned.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ListProjectsRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`